AI resources
Get batch information

This endpoint allows you to query the status and consolidated summary of a previously created transaction batch ("payout") based on its ID, including how many transactions were completed successfully, are pending, or resulted in an error. In case of success, the request will return a response with status 200.

GET

https://api.mercadopago.com/v1/payouts/{payout_id}
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
payout_id
string

REQUIRED

Identifier of the payout you wish to consult, returned in the response to its creation within the "id" field.
Response parameters
id
string
Unique payout identifier, automatically generated.
status
string
Payout's current status.
created: The payout was created successfully.
pending: The payout is pending and awaiting further processing.
in_process: The payout is being processed.
external_reference
string
External reference of the payout, generated by the integrator at the time of creation.
config
object
Object containing settings of the user performing the transaction.
Errors

400Bad request. The parameters sent are not valid.

invalid_payout_id

Invalid data was sent in the request body. The payout was not found. Try sending the request again, validating all fields.

invalid_transaction_id

Invalid data was sent in the request body. The transaction was not found. Try sending the request again, validating all fields.

invalid_signature

Invalid data was sent in the request body. Check if the secret was generated correctly and is registered with Mercado Pago. Also check if the body you are sending is the one that was encrypted.

idempotency_key_required

Invalid data was sent in the request body. The idempotency key ("idempotency_key") is missing. Try sending the request again, validating all fields.

401Error. Access Token not authorized.

invalid_token

The value sent as Access Token is incorrect. Please check and try again with the correct value.

403Forbidden. You don't have permissions to access this resource.

forbidden

No permission to access the resource.

404Error. Payout not found.

not_found

Payout not found. Please check if you provided the correct payout ID.

500Internal server error.

internal_server_error

An unexpected error occurred on the server. Try the request again.

502Bad gateway. Integration failure with an external service.

bad_gateway

An error occurred in the integration with an external service. Try the request again.

Request
curl -X GET \
    'https://api.mercadopago.com/v1/payouts/{payout_id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-4*********994754-12*********c73b4e1ac*********cef36b27c*********840' \
    
Response
{
  "id": "POP01KV681P6SJ38NQHWX3XK162SS",
  "status": "completed",
  "external_reference": "000197",
  "config": {
    "notification_url": "https://link-your-webhook-notification.com"
  },
  "summary": {
    "pending": {
      "items": 0
    },
    "canceled": {
      "items": 0
    },
    "success": {
      "items": 0
    },
    "error": {
      "items": 2
    }
  }
}